Homework 1

 

 

 

 

 

 

 

Option Explicit
‘Script modified by Saskia Nagel
‘Script written by mark.bearak
‘Script copyrighted by dtls.Architecture
‘Script version Tuesday, October 28, 2008

Call Main()
    Sub Main()
    Dim arrPlane, i, strCrv()
    For i = 0 To 15
    ReDim Preserve strCrv(i)
    arrPlane = Rhino.PlaneFromPoints (Array(0,10*Cos(i),i*7), Array(0,1,i*7), Array(1,0,i*7))
    If i < 8 Then
    strCrv(i) = Rhino.AddCircle (arrPlane, 20)
    Else
    If i >= 8 And i< 12 Then
    strCrv(i) = Rhino.AddCircle (arrPlane, 12)
    Else
    strCrv(i) = Rhino.AddCircle (arrPlane, 4)
    If  i< 12 Then
    strCrv(i) = Rhino.AddCircle (arrPlane, 15)
    Else
    strCrv(i) = Rhino.AddCircle (arrPlane, 3)
    End If
    End If
    End If
  Next
  Call Rhino.AddLoftSrf (strCrv)
End Sub

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s